#ifndef CLIB_POPUPMENU_PROTOS_H
#define CLIB_POPUPMENU_PROTOS_H

//
//	$VER: pm_protos.h 2.0 (27.2.97)
//
//	1996-1997 Henrik Isaksson
//	All Rights Reserved.
//

#ifndef LIBRARIES_POPUPMENU_H
#include <libraries/pm.h>
#endif

/* Functions in V1 */
struct PopupMenu *MakeItem(ULONG tag1, ...);
struct PopupMenu *MakeMenu(ULONG tag1, ...);
struct PopupMenu *MakeMenuA(struct TagItem *tags);
struct PopupMenu *MakeItemA(struct TagItem *tags);
void FreePopupMenu(struct PopupMenu *p);
ULONG OpenPopupMenuA(struct Window *prevwnd, struct TagItem *tags);
ULONG OpenPopupMenu(struct Window *prevwnd, ULONG tag1, ...);
void FreeIDList(struct PM_IDLst *f);
struct PM_IDLst *MakeIDList(ULONG tag1, ...);
struct PM_IDLst *MakeIDListA(struct TagItem *tags);

#endif
